SEP 20 2018

SUPEE-10888 failed on app/design/frontend/rwd/default/template/bundle/sales/order/items/renderer.phtml

Applying SUPEE-10888 patch against Magento 1.8.1.0 codebase fails on app/design/frontend/rwd/default/template/bundle/sales/order/items/renderer.phtml:

can't find file to patch at input line 1019
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|diff --git app/design/frontend/rwd/default/template/bundle/sales/order/items/renderer.phtml app/design/frontend/rwd/default/template/bundle/sales/order/items/renderer.phtml
|index b1ec5eb0460..ca3e8b32474 100644
|--- app/design/frontend/rwd/default/template/bundle/sales/order/items/renderer.phtml
|+++ app/design/frontend/rwd/default/template/bundle/sales/order/items/renderer.phtml
--------------------------
File to patch: 
Skip this patch? [y] 
Skipping patch.
1 out of 1 hunk ignored

Cause

The problem is that there are no RWD theme in Magento 1.8.1.0 (so, there are no any files under app/design/frontend/rwd/).

Solution

The solution is to delete lines related to app/design/frontend/rwd/default/template/bundle/sales/order/items/renderer.phtml from the patch file (PATCH_SUPEE-10570_CE_v1.9.0.1_v2-2018-03-29-08-45-59.sh). You can download corrected file from here:
PATCH_SUPEE-10888_CE_v1.8.1.0_v1-2018-09-19-03-00-53.sh or use direct file upload.

Posted in: Troubleshooting

SUPEE-10888 failed on app/design/frontend/rwd/default/template/bundle/sales/order/items/renderer.phtml
1 vote, 5.00 avg. rating (92% score)